## Apache Zeta Components Manual :: Docs For Class ezcQueryException

### Database::ezcQueryException

### Class ezcQueryException

Base class for exceptions related to the SQL abstraction.

Source for this file: /Database/src/exceptions/query_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcQueryException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcQueryVariableParameterException | Exception thrown when a method does not receive the variables it requires.
ezcQueryInvalidException | Base class for exceptions related to the SQL abstraction.
ezcQueryInvalidParameterException | Exception thrown when a method does not the receive correct variables it requires.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcQueryException | `__construct( $message , $additionalInfo )` Constructs an ezcQueryException with the highlevel error message $message and the errorcode $code.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcQueryException __construct( string $message , string $additionalInfo )

Constructs an ezcQueryException with the highlevel error message $message and the errorcode $code.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |
`$additionalInfo` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcQueryVariableParameterException::__construct()` | Constructs an ezcQueryVariableParameterException with the method $method and the arguments $numProvided and $numExpected.
`ezcQueryInvalidException::__construct()` | Constructs a QueryInvalid exception with the type $type and the additional information $message.
`ezcQueryInvalidParameterException::__construct()` | Constructs an ezcQueryVariableParameterException.

Documentation generated by phpDocumentor 1.4.3